# $Revision: 1.68.2.10 $, $Date: 2006/04/15 21:58:33 $
Summary:	GNU Aspell is an Open Source spell checker
Summary(pl):	GNU Aspell jest kontrolerem pisowni
Summary(pt_BR):	Verificador ortogrfico
Name:		aspell
Version:	0.50.5
Release:	6
Epoch:		3
License:	LGPL
Group:		Applications/Text
Vendor:		Kevin Atkinson <kevina@gnu.org>
Source0:	ftp://ftp.gnu.org/gnu/aspell/%{name}-%{version}.tar.gz
# Source0-md5:	14403d2ea5ded5d3fc9bb259bf65aab5
# Security patch from gentoo: http://www.gentoo.org/cgi-bin/viewcvs.cgi/app-text/aspell/files/aspell-buffer-fix.patch
# ref.: http://securitytracker.com/alerts/2004/Jun/1010435.html
Patch0:		%{name}-buffer-fix.patch
Patch1:		%{name}-home_etc.patch
URL:		http://aspell.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	texinfo
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Provides:	pspell = %{epoch}:%{version}-%{release}
Obsoletes:	libaspell15
Obsoletes:	pspell
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Aspell is a Free and Open Source spell checker designed to
eventually replace Ispell. It can either be used as a library or as an
independent spell checker. Its main feature is that it does a much
better job of coming up with possible suggestions than just about any
other spell checker out there for the English language, including
Ispell and Microsoft Word. It also has many other technical
enhancements over Ispell such as using shared memory for dictionaries
and intelligently handling personal dictionaries when more than one
Aspell process is open at once.

%description -l pl
GNU Aspell jest kontrolerem pisowni zaprojektowanym tak, by mc
zastpi ispella. Dodatkowo zawiera wsparcie dla innych jzykw ni
angielski. Interfejs aspella napisany zosta w C++, a interfejsy w
Perlu i C s aktualnie rozwijane.

%description -l pt_BR
GNU Aspell  um verificador ortogrfico criado para substituir o
antigo "ispell". Sua principal vantagem (sobre o Ispell)  uma melhor
sugesto de correes. Aspell inclui suporte a vrios idiomas e pode
fazer a checagem de arquivos LaTeX e HTML.

%package libs
Summary:	aspell libraries
Summary(pl):	Biblioteki aspella
Group:		Libraries
Conflicts:	%{name} < 3:0.50.5-5

%description libs
aspell/pspell libraries

%description libs -l pl
Biblioteki aspell/pspell.

%package devel
Summary:	Header files for aspell development
Summary(pl):	Pliki nagwkowe dla programistw uywajcych aspella
Summary(pt_BR):	Arquivos para desenvolvimento usando Aspell
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	libstdc++-devel
Provides:	pspell-devel = %{epoch}:%{version}-%{release}
Obsoletes:	libaspell15-devel
Obsoletes:	pspell-devel

%description devel
Aspell is an Open Source spell checker. This package contains header
files for aspell development.

%description devel -l pl
Aspell jest kontrolerem pisowni. Ten pakiet zawiera pliki nagwkowe
dla programistw uywajcych bibliotek aspella.

%description devel -l pt_BR
Aspell  um corretor ortogrfico. O pacote -devel inclui bibliotecas
dinmicas e arquivos de incluso necessrios para o desenvolvimento
utilizando o aspell.

%package static
Summary:	Static libraries for aspell development
Summary(pl):	Biblioteki statyczne aspella
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento usando Aspell
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	pspell-static = %{epoch}:%{version}-%{release}
Obsoletes:	pspell-static

%description static
Aspell is an Open Source spell checker. This package contains static
aspell libraries.

%description static -l pl
Aspell jest kontrolerem pisowni. Pakiet ten zawiera biblioteki
statyczne aspella.

%description static -l pt_BR
Aspell  um corretor ortogrfico. O pacote -devel-static inclui as
bibliotecas estticas necessrias para o desenvolvimento utilizando o
aspell.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-shared \
	--enable-static \
	--enable-pkgdatadir=%{_datadir}/aspell \
	--enable-pkglibdir=%{_libdir}/aspell

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/aspell

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README manual/man-html/*.{html,png,css}
%attr(755,root,root) %{_bindir}/aspell*
%attr(755,root,root) %{_bindir}/word-list-compress
%attr(755,root,root) %{_bindir}/run-with-aspell
%{_datadir}/aspell

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/aspell

%files devel
%defattr(644,root,root,755)
%doc manual/dev-html/*.{html,png,css}
%attr(755,root,root) %{_bindir}/pspell-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/pspell
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: aspell.spec,v $
Revision 1.68.2.10  2006/04/15 21:58:33  ankry
- C: in -libs for version before split to allow clean upgrade; rel. 6; STBR

Revision 1.68.2.9  2005/11/11 16:55:32  glen
- -libs split; rel 5

Revision 1.68.2.8  2005/06/10 23:56:18  undefine
- release 4, conflict with previous rel 3

Revision 1.68.2.7  2005/06/09 23:01:26  romke
- added HOME_ETC support,
- release 3, STBR

Revision 1.68.2.6  2005/05/06 11:26:42  qboosh
- build fix

Revision 1.68.2.5  2005/01/17 08:42:14  qboosh
- removed dup

Revision 1.68.2.4  2005/01/17 00:32:31  charles
- added missing dir

Revision 1.68.2.3  2005/01/05 16:28:25  havner
- rel 2

Revision 1.68.2.2  2004/11/14 23:57:35  havner
- rel 1

Revision 1.68.2.1  2004/10/18 16:02:56  krzak
- back to 0.50.x for AC
- rel 0.1

Revision 1.68  2004/10/12 11:42:53  qboosh
- release 3

Revision 1.67  2004/10/12 11:40:05  qboosh
- added info patch (direntry unifications)

Revision 1.66  2004/10/07 12:47:06  qboosh
- one libstdc++-devel R is enough

Revision 1.65  2004/09/27 11:02:42  ankry
- R: libstdc++-devel in devel, rel. 2

Revision 1.64  2004/09/17 00:31:30  tommat
- now it works like 0.50 versions, please test and STBR

Revision 1.63  2004/09/17 00:08:35  tommat
- moved data files back to %{_datadir}/aspell
- added previously deleted %{_libdir}/aspell dir to the package

Revision 1.62  2004/08/31 14:56:17  tommat
- fixed files section

Revision 1.61  2004/08/31 11:51:39  tommat
- fixed source url, NFY

Revision 1.60  2004/08/31 11:39:44  tommat
- version 0.60 NFY

Revision 1.59  2004/08/19 07:56:58  krzak
- devel Requires:       libstdc++-devel

Revision 1.58  2004/08/14 14:53:56  twittner
- rel. 3 (rel. 2 belogs to Ra)

Revision 1.57  2004/08/14 12:58:48  twittner
- security -buffer-fix.patch obtained from gentoo
- rel. 2 - builds but not tested. (many thanks for blues for providing sec. ref.)

Revision 1.56  2004/08/10 14:21:55  blues
- SECURITY note

Revision 1.55  2004/07/20 13:06:39  qboosh
- strict internal deps, more specific files list
- use just 2:1.5 in libtool BR instead of crazy snaps

Revision 1.54  2004/02/12 21:05:20  grzegol
- updated to 0.50.5

Revision 1.53  2003/11/02 21:33:55  arekm
- updated to 0.50.4.1

Revision 1.52  2003/10/04 21:19:49  grzegol
- updated to 0.50.4
- removed outdated assert patch

Revision 1.51  2003/08/06 16:29:23  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.50  2003/06/27 13:10:44  mmazur
- mass commit; now req: name = epoch:version

Revision 1.49  2003/06/12 13:54:49  qboosh
- added assert patch (missing include needed for gcc 3.3)

Revision 1.48  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.47  2003/05/25 05:45:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.46  2003/05/11 20:09:32  kloczek
- merge translations from Conectiva.

Revision 1.45  2003/04/08 09:20:46  mkochano
- Release 2.
- BR: gettext-devel.

Revision 1.44  2003/01/18 17:04:30  qboosh
- updated to 0.50.3
- removed libtool patch, libtoolize instead (BR: fixed libtool in CVS version)

Revision 1.43  2002/12/18 14:12:05  wrobell
- rel. 3

Revision 1.42  2002/11/29 13:53:29  wiget
- release 2

Revision 1.41  2002/11/25 14:13:01  ankry
- massive attack: no need for 755 for *.la

Revision 1.40  2002/11/03 15:44:50  misiek
- revert

Revision 1.38  2002/10/11 21:47:34  qboosh
- fixed libtool patch (inst_prefix case was in wrong place) - now aspell
  builds correctly
- BuildConflicts: aspell-devel < 0.50 (to avoid linking libpspell with
  -laspell with old SONAME)

Revision 1.37  2002/10/06 15:19:59  aflinta
- started update to version 0.50.2

Revision 1.36  2002/09/22 19:07:39  misiek
- don't regenerate am/ac/lt case if you want properly working package

Revision 1.35  2002/09/22 16:48:54  misiek
- add libdir/aspell, fix typos

Revision 1.34  2002/09/22 15:54:14  misiek
- updated to 0.50.1

Revision 1.33  2002/05/27 19:36:28  qboosh
- resolved conflict with ispell, removed Provides/Obsoletes: ispell -
  it's only CLI-compatible with ispell, not an ispell replacement
- separated English dictionary to subpackage - not everyone needs it
- new %%doc
- release 12

Revision 1.32  2002/05/21 23:12:41  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.31  2002/05/04 11:28:32  qboosh
- dictionaries back to original location (%%{_libdir}/aspell) - format
  depends on machine endianess!
- release 11

Revision 1.30  2002/05/03 15:27:30  kloczek
- bump release to 10, Epoch: 2 (for allow upgrade from RH),
- added libaspell10{,-devel} to Obsoletes for allow upgrade from MDK.

Revision 1.29  2002/05/03 12:50:17  qboosh
- updated URLs, added patch from project
- fixed messing with libdir and co.
- added pspell module to package
- noinstalled patch to allow build w/o aspell already installed,
  amfix patch to allow rebuild automake files
- release 2

Revision 1.28  2002/04/25 15:48:48  arturs
fixed a small typo

Revision 1.27  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/02/02 19:55:30  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.25  2002/01/18 02:12:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2001/11/29 21:31:07  filon
- corrected version, there was not first 0 in version string

Revision 1.23  2001/10/23 08:19:36  kura
- updated to .33.7.1

Revision 1.22  2001/10/03 01:48:09  marcus
- removed unnecessary Epoch:

Revision 1.21  2001/09/20 21:44:51  blues
- removed trash

Revision 1.20  2001/05/02 00:42:07  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.19  2000/06/09 07:22:47  kloczek
- added using %%{__make} macro.

Revision 1.18  2000/05/17 23:02:35  kloczek
- spec adapterized.

Revision 1.17  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.15  1999/07/26 09:26:32  misiek
- added missing translations

Revision 1.14  1999/07/20 12:48:05  wiget
- switch to rpm 3.0.2

Revision 1.13  1999/07/12 23:05:52  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May  3 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [.27.2-3]
- added BuildPrereq rules,
- moved aspell dictionaries to %{_datadir}/aspell,
- added stripping shared libraries,
- "manke install" with using $DESTDIR,
- added using $RPM_OPT_FLAGS in CXXFLAGS on compile time,
- added %{_bindir}/ispell symplink to aspell,
- added gzipping %doc,
- added Provides and Obsoletes ispell (asspel is full replacement ispell but
  much faster and beter).

* Fri Apr 30 1999 Artur Frysiak <wiget@pld.org.pl>
- added static subpackage
- full %%attr description
- partial pl translation

* Tue Mar  2 1999 Ryan Weaver <ryanw@infohwy.com>
  [aspell-.27.2-2]
- Changes from .27.1 to .27.2 (Mar 1, 1999)
- Fixed a major bug that caused aspell to dump core when used
  without any arguments
- Fixed another major bug that caused aspell to do nothing when used
  in interactive mode.
- Added an option to exit in Aspell's interactive mode.
- Removed some old documentation files from the distribution.
- Minor changes on to the section on using Aspell with egcs.
- Minor changes to remove -Wall warnings.
